This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1027711 - failed to login when try to start a new sessoin
failed to login when try to start a new sessoin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 05:24 EST by lnie
Modified: 2014-10-07 05:28 EDT (History)
15 users (show)

See Also:
Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 06:30:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lnie 2013-11-07 05:24:35 EST
Description of problem:

 failed to login when try to start a new sessoion ,and get the message
 "login failed",even I put in the right password for the user
Version-Release number of selected component (if applicable):

f20-beta-RC4
How reproducible:
always
Steps to Reproduce:
1.Click on "Fedora icon on Panel" to show Launcher.
2.Select "Leave" tab in Launcher. 
3.Click on "New Session" and Choose "Start New Session" 
4 type in the password for the user and then type"Enter"button 

Actual results:


Expected results:


Additional info:
Comment 1 lnie 2013-11-07 05:29:06 EST
I switch back to the original session by "Ctrl+Alt+F1"
and then switch back to the second se
Comment 2 lnie 2013-11-07 05:33:59 EST
I switch back to the original session by "Ctrl+Alt+F1",
and then try to switch to the second session by "Ctrl+Alt+F2"
this time,the screen go black.

 Add info: I'm able to switch back to the original session and login successfully
  when the screen go black:)
Comment 3 lnie 2013-11-07 23:00:28 EST
still happens in RC5
Comment 4 Dan Mashal 2013-11-07 23:30:13 EST
This is not a ConsoleKit bug. ConsoleKit is deprecated.
Comment 5 Martin Bříza 2013-12-02 06:34:02 EST
One of the SDDM bugs, it's possible it's a duplicate, will triage further later.
Comment 6 lnie 2013-12-04 00:47:19 EST
finally,fixed in final TC4
Comment 7 lnie 2013-12-04 01:14:08 EST
There is still sth wrong,first session is not locked after I switch to the second session,and vice verse
Comment 8 lnie 2013-12-06 02:00:31 EST
one more problem, every time you start a new session,the old session do a restart when you try to switch back to it.
Comment 9 Fedora Update System 2014-06-25 07:09:09 EDT
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20
Comment 10 Fedora Update System 2014-06-25 07:13:17 EDT
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
Comment 11 Fedora Update System 2014-06-25 21:57:09 EDT
Package sddm-0.2.0-0.29.20140623gitdb1d7381.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.29.20140623gitdb1d7381.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7749/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
then log in and leave karma (feedback).
Comment 12 lnie 2014-06-26 23:25:47 EDT
Tested with sddm-0.2.0-0.29.20140623gitdb1d7381.fc20,the problem mentioned in com8 is fixed,but the com7 problem is still there
Comment 13 Fedora Update System 2014-06-30 06:30:30 EDT
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-10-07 05:28:55 EDT
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Note You need to log in before you can comment on or make changes to this bug.